<?php
	$age = (new DateTime("now"))->diff(DateTime::createFromFormat("Y-m-d", "2004-01-15"))->y;
?>
<!DOCTYPE html>
<html lang="en">
    <head>
		<? require "inc/head.inc" ?>
    </head>
    <body>

        <? require "inc/nav.inc" ?>

        <div id="main-and-sidebar" dir="rtl" class="inline-block">

            <div id="main-wrapper" class="inline-block">
                <div id="main" class="inline-block">
                    <main>

                        <div class="section container">
                            <h1>Welcome</h1>
                            <span>I'm <?= $age == 18 ? "an" : "a" ?> <?= $age ?> year old programmer from Denmark</span>
                            <br>

                            <a href="https://www.linkedin.com/in/reimarpb/" target="_blank" title="LinkedIn">
                                <img class="icon" src="/assets/icons/linkedin.png" alt="LinkedIn" width="16" height="16"><!--
                            --></a>
                            <a href="https://github.com/ReimarPB" target="_blank" title="GitHub">
                                <picture class="dark">
                                    <source type="image/svg+xml" srcset="/assets/icons/dark-mode/github.svg">
                                    <img class="dark icon" src="/assets/icons/dark-mode/github.png" alt="GitHub">
                                </picture>
                                <picture class="light">
                                    <source type="image/svg+xml" srcset="/assets/icons/light-mode/github.svg">
                                    <img class="light icon" src="/assets/icons/light-mode/github.png" alt="GitHub">
                                </picture>
                            </a>
                        </div>

                        <div class="section container">
                            <h1>Projects</h1>
                            <hr>
                            <img src="/assets/icons/popup-timer.ico" class="pixelated icon" alt="">
                            <b>Popup Timer</b>
                            <br>
                            <span>Have a timer or stopwatch in the corner of your screen, directly from within your browser</span>
                            <br>
                            <i><a href="https://popup-timer.reimarpb.com" target="_blank">Open in browser</a></i>

                            <hr>

                            <img src="/assets/icons/gameoflife.ico" class="pixelated icon" alt="">
                            <b>Game of life</b>
                            <br>
                            <span>Conway's Game of Life created with the win32 API</span>
                            <br>
                            <i>
                                <a href="/assets/bin/gameoflife.exe">Download for Windows</a>
                                &bull;
                                <a href="https://github.com/ReimarPB/GameOfLife-Win32" target="_blank">View on GitHub</a>
                            </i>

                            <hr>

                            <img src="/assets/icons/reimtris.ico" class="icon" alt="">
                            <b>Reimtris</b>
                            <br>
                            <span>A Tetris clone written in Rust with epic background music</span>
                            <br>
                            <i>
                                <a href="/assets/bin/Reimtris.exe">Download for Windows</a>
                                &bull;
                                <a href="/assets/bin/Reimtris">Download for Linux</a>
                            </i>



                        </div>

                    </main>
                </div>
            </div><!--

            --><? require "inc/sidebar.inc" ?>

        </div>

		<? require "inc/background.inc" ?>

    </body>
</html>
